%define name 	gnome-scan
%define version 0.7.2
%define release %mkrel 2

%define	major 0
%define	libname %mklibname gnomescan %major
%define	develname %mklibname gnomescan -d
#%define __libtoolize    /bin/true

Summary:	Gnome solution for scanning in the desktop on top of libsane
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group:		Graphical desktop/GNOME
License:	LGPLv2+
URL:		http://www.gnome.org/projects/gnome-scan/index
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.6/%{name}-%{version}.tar.bz2
Patch1:		gnome-scan-0.7.1-utf8.patch
Patch2:		gnome-scan-0.7.1-babl01.patch
Patch3:		gnome-scan-0.7.2-fix-link.patch
Patch4:		gnome-scan-0.7.2-fix-str-fmt.patch
BuildRequires:	libgnomeui2-devel sane-devel
BuildRequires:	gegl-devel gimp-devel
BuildRequires:	perl(XML::Parser) 
BuildRequires:	desktop-file-utils gtk-doc gnome-doc-utils
BuildRequires:	libglade2.0-devel
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	gimp
Provides:	flegita = %{version}-%{release}
Provides:	gnomescan = %{version}-%{release}

%description
Gnome Scan provide a library for use by applications (e.g. using
plugins) as well as a tiny standalone application, called flegita,
which allow to simply save scan to file.

%package -n %libname
Summary:	Gnome-scan library
Group:		System/Libraries

%description -n %libname
Libraries for using gnome-scan

%package -n %develname
Summary:	Development files for gnome-scan
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig gtk2-devel
Provides:	gnomescan-devel

%description -n %develname
Contains development headers and libraries for gnome-scan

%prep
%setup -q
%patch1 -p1 -b .utf8
%patch2 -p1 -b .babl01
%patch3 -p0 -b .link
%patch4 -p0 -b .str-fmt


%build
autoreconf -fiv
%configure2_5x --disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
	--remove-category="Application"	\
	--dir %{buildroot}%{_datadir}/applications	\
	%{buildroot}%{_datadir}/applications/flegita.desktop


%find_lang %{name}

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
rm -rf %{buildroot}%{_prefix}/doc

mkdir -p %{buildroot}%_datadir/gir-1.0
cp lib/gnome-scan-1.0.gir %{buildroot}%_datadir/gir-1.0
cp lib/*.h %{buildroot}%{_includedir}/gnome-scan

%clean
rm -rf %{buildroot}

%post 
%update_icon_cache hicolor
%{update_menus}

%post -n %libname
/sbin/ldconfig

%postun 
%clean_icon_cache hicolor
%{clean_menus}

%postun -n %libname
/sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/flegita
%{_datadir}/applications/flegita.desktop
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/gnome-scan/

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/libgnome-scan.so.%major
%{_libdir}/libgnome-scan.so.0.0.%major
%{_libdir}/gnome-scan-1.0/

%files -n %develname
%defattr(-,root,root,-)
%{_includedir}/gnome-scan
%_datadir/gir-1.0
%{_libdir}/libgnome-scan.so
%{_libdir}/pkgconfig/gnome-scan.pc
%doc %{_datadir}/gtk-doc/html/gnome-scan*/


%changelog
* Sun Mar 21 2010 Texstar <texstar at gmail.com> 0.7.2-2pclos2010
- rebuild against updated babl

* Sat Feb 20 2010 slick50 <lxgator@gmail.com> 0.7.2-1pclos2010
- 0.7.2

* Tue Jan 06 2009 don_crissti <don_crissti@gmx.com> 0.6.1-1pclos2007
- import gnome-scan

